<!DOCTYPE html>
<html>
    <head>
        <title>Box sizing Demo</title>
        <style>
            *{
                margin: 0;
                padding: 0;
                box-sizing: border-box;
            }

            #box{
                height: 150px;
                width: 150px;
                padding: 50px;
                border: 1px solid black;
                background-color: orange;
            }
        </style>
        <!-- withouit box sizing : border-box:
              1px border top + 50px left padddign + 48px width
            + 50px right pading + 1px border bottom = 252px-->

        <!-- with box-sizing: border-box:
          2px border + 100px padding + 48px width = 150px
        
        the specification for padding and border will be imcluded in the
         computation of the height and width of the element -->
    </head>
    <body>
        <div id="box">Hello</div>
    </body>
</html>